# docker mcp tools

<!---MARKER_GEN_START-->
Manage tools

### Subcommands

| Name                              | Description               |
|:----------------------------------|:--------------------------|
| [`call`](mcp_tools_call.md)       | Call a tool               |
| [`count`](mcp_tools_count.md)     | Count tools               |
| [`disable`](mcp_tools_disable.md) | disable one or more tools |
| [`enable`](mcp_tools_enable.md)   | enable one or more tools  |
| [`inspect`](mcp_tools_inspect.md) | Inspect a tool            |
| [`ls`](mcp_tools_ls.md)           | List tools                |


### Options

| Name            | Type          | Default | Description                                |
|:----------------|:--------------|:--------|:-------------------------------------------|
| `--format`      | `string`      | `list`  | Output format (json\|list)                 |
| `--gateway-arg` | `stringSlice` |         | Additional arguments passed to the gateway |
| `--verbose`     | `bool`        |         | Verbose output                             |
| `--version`     | `string`      | `2`     | Version of the gateway                     |


<!---MARKER_GEN_END-->

